.bwi_Federation_pill {
    display: inline;
    color: $bwi-federation-icon-bg;
    background-color: $bwi-federation-icon-fg;
    border-radius: 50px;
    margin-left: 10px;
    padding: calc(var(--cpd-space-1x) - 1px) var(--cpd-space-3x);
    border: 2px solid $bwi-federation-icon-bg;
    position: relative;
    vertical-align: middle;
    margin-right: 5px;
    -moz-background-clip: padding;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    font: var(--cpd-font-body-sm-medium);
    font-feature-settings: var(--cpd-font-feature-settings);
}
.bwi_Federation_pill::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: -2px;
    bottom: 0;
    right: -10px;
    z-index: -1;
    background-color: $bwi-federation-icon-fg;
    border: 2px solid $bwi-federation-icon-bg;
    border-radius: 50px;
}

.mx_LegacyRoomHeader {
    .bwi_Federation_container {
        height: 24px;
        width: 80px;
    }
    .bwi_Federation_zIndexFixture {
        height: 24px;
        width: 80px;
        position: absolute;
        z-index: 1;
    }
    .bwi_Federation_pill {
        font-size: 11px;
        padding: calc(var(--cpd-space-1x) - 1px) calc(var(--cpd-space-3x) / 2);
        margin-left: 0px;
        &::after {
            right: -9px;
        }
    }
}

.mx_RoomHeader {
    .bwi_Federation_container {
        height: 24px;
        width: 80px;
    }
    .bwi_Federation_zIndexFixture {
        height: 24px;
        width: 80px;
        position: absolute;
        z-index: 1;
    }
    .bwi_Federation_pill {
        font-size: 10px;
        padding: calc(var(--cpd-space-1x) - 1px) calc(var(--cpd-space-3x) / 2);
        margin-left: 0px;
        &::after {
            right: -9px;
        }
    }
}
